
#pragma once

extern void OSKHW_Init(void);
extern void OSKHW_Free(void);

extern void OSKHW_ModelLoad(void);
extern void OSKHW_Draw(void);

extern bool OSKHW_MouseDown(s32 mx,s32 my);
extern void OSKHW_MouseMove(s32 mx,s32 my);
extern void OSKHW_MouseUp(s32 mx,s32 my);

extern bool OSKHW_KeyPress(u32 keys);
extern bool OSKHW_OSKButtonPressCallBack(UnicodeChar wc);

// from OSK.cpp

enum EOSKHW_CharMode {OSKHW_CM_Symbol,
                       OSKHW_CM_ENG_Large,OSKHW_CM_ENG_Small,
                       OSKHW_CM_JPN_Hiragana,OSKHW_CM_JPN_Katakana,
                       };
extern EOSKHW_CharMode OSKHW_CharMode;

extern bool OSKHW_CharMode_UseNumber;
